Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.tags.form
Class OptionsTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.springframework.web.servlet.tags.RequestContextAwareTag
              org.springframework.web.servlet.tags.HtmlEscapingAwareTag
                  org.springframework.web.servlet.tags.form.AbstractFormTag
                      org.springframework.web.servlet.tags.form.OptionsTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag, TryCatchFinally

    public class OptionsTag

extends AbstractFormTag

Convenient tag that allows one to supply a collection of objects that are to be rendered as '`option`' tags within a '`select`' tag.

Must be used within a `'select' tag`.

Since:
  2.0
Author:
  Rob Harrop
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`OptionsTag()`

Method Summary
`protected String` | `getItemLabel()` Get the name of the property mapped to the label (inner text) of the '`option`' tag.
`protected Object` | `getItems()` Get the `Collection`, `Map` or array of objects used to generate the inner '`option`' tags.
`protected String` | `getItemValue()`
`void` | `setItemLabel(String itemLabel)` Set the name of the property mapped to the label (inner text) of the '`option`' tag.
`void` | `setItems(Object items)` Set the `Collection`, `Map` or array of objects used to generate the inner '`option`' tags.
`void` | `setItemValue(String itemValue)` Set the name of the property mapped to the '`value`' attribute of the '`option`' tag.
`protected int` | `writeTagContent(TagWriter tagWriter)` Subclasses should implement this method to perform tag content rendering.

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag
`createTagWriter, doStartTagInternal, evaluate, getDisplayString, getDisplayString, writeOptionalAttribute`

Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag
`isHtmlEscape, setHtmlEscape`

Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`doCatch, doFinally, doStartTag, getRequestContext`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionsTag

    public OptionsTag()

Method Detail

### setItems

    public void setItems(Object items)

  Set the `Collection`, `Map` or array of objects used to generate the inner '`option`' tags.

  Required when wishing to render '`option`' tags from an array, `Collection` or `Map`.

  Typically a runtime expression.

  Parameters:
    `items` - said items
  Throws:
    `IllegalArgumentException` - if the supplied `items` instance is `null`

### getItems

    protected Object getItems()

  Get the `Collection`, `Map` or array of objects used to generate the inner '`option`' tags.

  Typically a runtime expression.

### setItemValue

    public void setItemValue(String itemValue)

  Set the name of the property mapped to the '`value`' attribute of the '`option`' tag.

  Required when wishing to render '`option`' tags from an array or `Collection`.

  May be a runtime expression.

### getItemValue

    protected String getItemValue()

### setItemLabel

    public void setItemLabel(String itemLabel)

  Set the name of the property mapped to the label (inner text) of the '`option`' tag.

  May be a runtime expression.

### getItemLabel

    protected String getItemLabel()

  Get the name of the property mapped to the label (inner text) of the '`option`' tag.

  May be a runtime expression.

### writeTagContent

    protected int writeTagContent(TagWriter tagWriter)
                           throws JspException

  Description copied from class: `AbstractFormTag`
  Subclasses should implement this method to perform tag content rendering.

  Specified by:
    `writeTagContent` in class `AbstractFormTag`
  Returns:
    valid tag render instruction as per `Tag.doStartTag()`.
  Throws:
    `JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.